## gnome-gconf

gnome-gconf

## Functions

gchar * | gnome_gconf_get_gnome_libs_settings_relative ()
gchar * | gnome_gconf_get_app_settings_relative ()

## Includes

    #include <libgnome/libgnome.h>

## Description

## Functions

### gnome_gconf_get_gnome_libs_settings_relative ()

    gchar *
    gnome_gconf_get_gnome_libs_settings_relative
                                   (const gchar *subkey);

Gets the full key name for a GNOME desktop specific setting for a specific application. Those keys are used to store application-specific configuration, for example the history of a GnomeEntry. This config space should only be used by libraries.

#### Parameters

subkey | key part below the gnome desktop settings directory |

#### Returns

A newly allocated string

### gnome_gconf_get_app_settings_relative ()

    gchar *
    gnome_gconf_get_app_settings_relative (GnomeProgram *program,
                                           const gchar *subkey);

Gets the full key name for an application specific setting. That is "/apps/<application_id>/`subkey` ".

#### Parameters

program | GnomeProgram pointer or `NULL` for the default |
subkey | key part below the gnome desktop settings directory |

#### Returns

A newly allocated string

## Types and Values